class Api::Restaurant::MenuCategoriesController < Api::ApiController 
  #Description
  # Pull the default menu details and also other available (active) menus
  # Input Params - order_id
  def index
    @menus = MenuCategory.all
    @current_menu = MenuCategory.current_menu

  end

  #Description
  # This API show current order details
  # Input Params - menu_id
  def show
    @menu = menu_detail(params[:id])
  end


  private
  def menu_detail (menu_id)
    if (menu_id)
      #Pull this menu
      menu = MenuCategory.find_by_id(menu_id)
      return menu
    else
      MenuCategory.current_menu
    end

  end

  def menu_params()
    params.permit(:id)
  end


end
